OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
MaskIntersectingVoxels< InputTreeType > Struct Template Reference

`#include <VolumeToMesh.h>`

## Public Types
using | InputLeafNodeType = typename InputTreeType::LeafNodeType
using | InputValueType = typename InputLeafNodeType::ValueType
using | BoolTreeType = typename InputTreeType::template ValueConverter< bool >::Type
using | BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## Public Member Functions
| MaskIntersectingVoxels (const InputTreeType &inputTree, const std::vector< BoolLeafNodeType * > &nodes, BoolTreeType &intersectionTree, InputValueType iso)
| MaskIntersectingVoxels (MaskIntersectingVoxels &, tbb::split)
void | operator() (const tbb::blocked_range< size_t > &)
void | join (const MaskIntersectingVoxels &rhs)

## Member Typedef Documentation

## ◆ BoolLeafNodeType

using BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## ◆ BoolTreeType

using BoolTreeType = typename InputTreeType::template ValueConverter<bool>::Type

## ◆ InputLeafNodeType

using InputLeafNodeType = typename InputTreeType::LeafNodeType

## ◆ InputValueType

using InputValueType = typename InputLeafNodeType::ValueType

## Constructor & Destructor Documentation

## ◆ MaskIntersectingVoxels() [1/2]

MaskIntersectingVoxels | ( | const InputTreeType & | inputTree,
|  | const std::vector< BoolLeafNodeType * > & | nodes,
|  | BoolTreeType & | intersectionTree,
|  | InputValueType | iso
| ) |  |

## ◆ MaskIntersectingVoxels() [2/2]

MaskIntersectingVoxels | ( | MaskIntersectingVoxels< InputTreeType > & | rhs,
|  | tbb::split |
| ) |  |

## Member Function Documentation

## ◆ join()

void join | ( | const MaskIntersectingVoxels< InputTreeType > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |

The documentation for this struct was generated from the following file:

- VolumeToMesh.h